> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Create static QR code

> Creates a static QR code



## OpenAPI

````yaml api-reference/banking-api/openapi.json POST /banking/cashin/pix/qrcodes/static
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/cashin/pix/qrcodes/static:
    post:
      tags:
        - cashin
      summary: Create a new static QRCode
      description: Create a new static QRCode
      operationId: TrioFoundationWeb.Banking.Cashin.StaticBrcodeController.create
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Static_QRCode_payload'
        description: The static QRCode payload
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Static_QRCode_response'
          description: StaticBrcode
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/500'
          description: Internal server error
      callbacks: {}
components:
  schemas:
    '401':
      example:
        error:
          error_code: UNAUTHORIZED
          error_message: Invalid credentials
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '401'
      type: object
    '500':
      example:
        error:
          error_code: INTEGRATION_ERROR
          error_message: An unexpected issue occurred
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '500'
      type: object
    Static_QRCode_payload:
      description: Body params to create a static QRCode
      example:
        amount:
          amount: 2000
          currency: BRL
        description: description
        external_id: external_id
        options:
          show_qrcode_image: false
        virtual_account_id: 01919020-51ee-527b-5147-3feacb8ea333
      properties:
        amount:
          description: Amount value of the static QRCode
          type: integer
        description:
          description: Description of the static QRCode
          type: string
        external_id:
          description: External ID of the static QRCode
          type: string
        options:
          description: Create options
          properties:
            show_qrcode_image:
              description: Show static QRCode image
              type: boolean
          required:
            - show_qrcode_image
          type: object
        platform_id:
          description: Platform ID of the dynamic QRCode
          nullable: true
          type: string
        virtual_account_id:
          description: Virtual account ID
          type: string
      required:
        - amount
        - virtual_account_id
        - options
      title: Static QRCode payload
      type: object
    Static_QRCode_response:
      description: Response for a single static QRCode
      example:
        data:
          amount:
            amount: 2000
            currency: BRL
          description: description
          external_id: external_id
          id: 41234d60-f6a9-4c9c-8cc3-5769ce9bbea2
          origin_id: 41234d60-f6a9-4c9c-8cc3-5769ce9bbea2
          origin_type: none
          stages:
            - id: 41234d60-f6a9-4c9c-8cc3-5769ce9bbea2
              status: created
              timestamp: '2026-07-02T19:00:14.767183Z'
          status: created
          timestamp: '2026-07-02T19:00:14.767176Z'
          virtual_account_id: 41234d60-f6a9-4c9c-8cc3-5769ce9bbea2
      properties:
        data:
          $ref: '#/components/schemas/Static_QRCode_response'
      title: Static QRCode response
      type: object

````